CHOWN(8)

NAME
chown - change file owner and group

SYNOPSIS
chown [-fhvx] [ -R [-H | -L | -P]] owner[:group] file ...
chown [-fhvx] [ -R [-H | -L | -P]] :group file ...

DESCRIPTION
The chown utility changes the user ID and/or the group ID of the specified files. Symbolic links named by arguments are silently left unchanged unless -h is used.

The options are as follows:

-H  If the -R option is specified, symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)

-L  If the -R option is specified, all symbolic links are followed.

-P  If the -R option is specified, no symbolic links are followed. This is the default.

-R  Change the user ID and/or the group ID of the specified directory trees (recursively, including their contents) and files. Beware of unintentionally matching the “..” hard link to the parent directory when using wildcards like “.*”.

-f  Do not report any failure to change file owner or group, nor modify the exit status to reflect such failures.

-h  If the file is a symbolic link, change the user ID and/or the group ID of the link itself.

-v  Cause chown to be verbose, showing files as the owner is modified. If the -v flag is specified more than once, chown will print the filename, followed by the old and new numeric user/group ID.

-x  File system mount points are not traversed.

The -H, -L and -P options are ignored unless the -R option is specified. In addition, these options override each other and the command's actions are determined by the last one specified.

The owner and group operands are both optional, however, one must be specified. If the group operand is specified, it must be preceded by a colon (``:'') character.

The owner may be either a numeric user ID or a user name. If a user name is also a numeric user ID, the operand is used as a user name. The group may be either a numeric group ID or a group name. If a group name is also a numeric group ID, the operand is used as a group name.

The ownership of a file may only be altered by a super-user for obvious security reasons.

EXIT STATUS

COMPATIBILITY
Previous versions of the chown utility used the dot (``.'') character to distinguish the group name. This has been changed to be a colon (``:'') character so that user and group names may contain the dot character.

On previous versions of this system, symbolic links did not have owners.

The -v and -x options are non-standard and their use in scripts is not recommended.

SEE ALSO
chgrp(1), find(1), chown(2), fts(3), symlink(7)

STANDARDS
The chown utility is expected to be p1003.2 compliant.

HISTORY
A chown utility appeared in AT&T UNIX.